

class GoodsDetailsSlideBannerModel {
  String pagination;
  String pagination_open;
  List<String> pagination_options;
  List<IndexCarousel> index_carousel_list;
  String pagination_select_color;
  String pagination_unselect_color;

  GoodsDetailsSlideBannerModel({this.pagination, this.pagination_open, this.pagination_options, this.pagination_select_color, this.pagination_unselect_color, this.index_carousel_list});

  factory GoodsDetailsSlideBannerModel.fromJson(Map<String, dynamic> json) {
    return GoodsDetailsSlideBannerModel(
      pagination: json['pagination'],
      pagination_open: json['pagination_open'],
      pagination_options: json['pagination_options'] != null ? new List<String>.from(json['pagination_options']) : null,
      index_carousel_list: json['index_carousel_list'] != null ? (json['index_carousel_list'] as List).map((i) => IndexCarousel.fromJson(i)).toList() : null,
      pagination_select_color: json['pagination_select_color'],
      pagination_unselect_color: json['pagination_unselect_color'],

    );
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['pagination'] = this.pagination;
    data['pagination_open'] = this.pagination_open;
    data['pagination_select_color'] = this.pagination_select_color;
    data['pagination_unselect_color'] = this.pagination_unselect_color;
    if (this.pagination_options != null) {
      data['pagination_options'] = this.pagination_options;
    }
    if (this.index_carousel_list != null) {
      data['index_carousel_list'] = this.index_carousel_list.map((v) => v.toJson()).toList();
    }
    return data;
  }
}


class IndexCarousel {
  String img;
  String skip_identifier;

  IndexCarousel({this.img, this.skip_identifier});

  factory IndexCarousel.fromJson(Map<String, dynamic> json) {
    return IndexCarousel(
      img: json['img'],
      skip_identifier: json['skip_identifier'],
    );
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['img'] = this.img;
    data['skip_identifier'] = this.skip_identifier;
    return data;
  }
}